Subject: Re: PLEASE HELP! Looking for dir.h
From: [email-masked] (Sankalp)

23 Feb 1997 13:20:26 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

> I haven't used GNU-Win32 since Beta 4. I just downloaded the newest
> release and have forgotten a few things about the environment. Here are
> a couple questions:
> 
> 1.) How do I compile libraries needed such as stdc++ to access such
> header files as iostream.h in the libraries or DLLs at compile time?

Hmm..Can't you just '#include <iostream.h>' ?  If that doesn't work, it 
means that your libraries aren't installed.  Did you follow the 
directions as per the README?  just 'tar zxf' the all.tar.gz file under a 
directory such as c:\cygnus.  If you want to use the tar and gunzip 
provided with the GNU-Win32 Tools, then you'll need to download the 
cygwin.dll into c:\cygnus.  You don't need GNU Tar, mind you, you can use 
any tar/gzipper.  All these instructions are given in the readme.

> 2.) I am trying to compile an application that uses the linux sys/dir.h
> header, does anyone know if it is included in the Cygnus package? If so
> which library or DLL and how can I include/access it at compilation
> time?

Use <dirent.h>.

> 3.) I have been on the GNU Win32 mailing list for almost a year and I
> can't remember the Web address for the HyperMail - so I can view/get the
> most up to date mail and reference archives for future help (Could
> somebody forward it to me?:).

the archive is webified...Check out the Cygnus home page at www.cygnus.com.

..-------------------.
|  Sankalp Acharya  |
| [email-masked] |
`-------------------'
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".